Package tigase.osgi

## Class ModulesManagerImpl

- java.lang.Object
- - tigase.osgi.ModulesManagerImpl

- All Implemented Interfaces:
    `ModulesManager`

      public class ModulesManagerImpl
      extends java.lang.Object
      implements ModulesManager

  Author:
    andrzej

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `forName​(java.lang.String className)` |
    `java.util.Collection<java.lang.Class<?>>` | `getClasses()` |
    `static ModulesManagerImpl` | `getInstance()` |
    `void` | `registerClass​(java.lang.Class<?> cls)` |
    `void` | `registerPluginClass​(java.lang.Class<? extends XMPPImplIfc> pluginCls)` |
    `void` | `registerServerComponentClass​(java.lang.Class<? extends Configurable> compCls)` |
    `void` | `setActive​(boolean active)` |
    `void` | `setBeanConfigurator​(AbstractBeanConfigurator beanConfigurator)` |
    `void` | `unregisterClass​(java.lang.Class<?> cls)` |
    `void` | `unregisterPluginClass​(java.lang.Class<? extends XMPPImplIfc> pluginClass)` |
    `void` | `unregisterServerComponentClass​(java.lang.Class<? extends Configurable> compCls)` |
    `void` | `update()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ModulesManagerImpl getInstance()

    - #### getClasses

          public java.util.Collection<java.lang.Class<?>> getClasses()

    - #### registerPluginClass

          public void registerPluginClass​(java.lang.Class<? extends XMPPImplIfc> pluginCls)

      Specified by:
        `registerPluginClass` in interface `ModulesManager`

    - #### unregisterPluginClass

          public void unregisterPluginClass​(java.lang.Class<? extends XMPPImplIfc> pluginClass)

      Specified by:
        `unregisterPluginClass` in interface `ModulesManager`

    - #### registerServerComponentClass

          public void registerServerComponentClass​(java.lang.Class<? extends Configurable> compCls)

      Specified by:
        `registerServerComponentClass` in interface `ModulesManager`

    - #### unregisterServerComponentClass

          public void unregisterServerComponentClass​(java.lang.Class<? extends Configurable> compCls)

      Specified by:
        `unregisterServerComponentClass` in interface `ModulesManager`

    - #### registerClass

          public void registerClass​(java.lang.Class<?> cls)

      Specified by:
        `registerClass` in interface `ModulesManager`

    - #### unregisterClass

          public void unregisterClass​(java.lang.Class<?> cls)

      Specified by:
        `unregisterClass` in interface `ModulesManager`

    - #### forName

          public java.lang.Class<?> forName​(java.lang.String className)
                                     throws java.lang.ClassNotFoundException

      Specified by:
        `forName` in interface `ModulesManager`
      Throws:
        `java.lang.ClassNotFoundException`

    - #### update

          public void update()

      Specified by:
        `update` in interface `ModulesManager`

    - #### setBeanConfigurator

          public void setBeanConfigurator​(AbstractBeanConfigurator beanConfigurator)

    - #### setActive

          public void setActive​(boolean active)